%define section   free
%define base_name commons-attributes

Name:           jakarta-%{base_name}
Version:        2.1
Release:        2jpp
Epoch:          0
Summary:        Commons Attributes Package

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/attributes
Source0:        commons-attributes-2.1-src.tgz
Patch0:         commons-attributes-2.1-build_xml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, junit >= 0:3.8.1
BuildRequires:  xjavadoc
Requires:  xjavadoc

%description
Commons Attributes enables Java programmers to 
use C#/.Net-style attributes in their code.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -c -n %{base_name}-%{version}

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath xjavadoc)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 dist/%{base_name}-api-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-api-%{version}.jar
ln -s %{name}-api-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-api.jar
ln -s %{name}-api-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-api-%{version}.jar
ln -s %{base_name}-api-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-api.jar

install -pm 644 dist/%{base_name}-compiler-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-compiler-%{version}.jar
ln -s %{name}-compiler-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-compiler.jar
ln -s %{name}-compiler-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-compiler-%{version}.jar
ln -s %{base_name}-compiler-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-compiler.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Thu Oct 07 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1-2jpp
- Patched build.xml to include anttasks.properties in -compiler.jar
* Fri Oct 01 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1-1jpp
- First JPackage release
